import type { MapLib, MapInstance, MinimapOptions, IControl } from "./types";
export default class Minimap<MapT extends MapInstance> implements IControl<MapT> {
    private mapGL;
    private options;
    private container;
    private map;
    private minimap;
    private minimapCanvas;
    private toggleButton;
    private isCollapsed;
    private isDragging;
    private isCursorOverFeature;
    private currentPoint;
    private previousPoint;
    private trackingRect;
    private trackingRectCoordinates;
    private onLoad;
    private onToggle;
    private onMainMapMove;
    private onMainMapMoveEnd;
    private onMouseMove;
    private onMouseDown;
    private onMouseUp;
    constructor(mapgl: MapLib<MapT>, config?: MinimapOptions);
    private enableResize;
    private enableMove;
    onAdd(map: MapT): HTMLElement;
    onRemove(): void;
    private load;
    private mouseDown;
    toggle(): void;
    private collapse;
    private expand;
    private mouseMove;
    private mouseUp;
    private moveTrackingRect;
    private setTrackingRectBounds;
    convertBoundsToPoints(bounds: any): void;
    private update;
    private mapMoved;
    private zoomAdjust;
    private createContainer;
    private enableToggle;
    private createToggleButton;
    private preventDefault;
}
